# Method Protocols.SMTP.Client()->verify()

Method verify

  ``array`(`int`|`string`) verify(`string` `addr`)`

Description

  Verifies the mail address `addr` against the mail server.

Returns

  Array
  ``int` `code`` | The numerical return code from the VRFY call.
  ``string` `message`` | The textual answer to the VRFY call.

Note

  Some mail servers does not answer truthfully to verification queries in order to prevent spammers and others to gain information about the mail addresses present on the mail server.

Throws

  If the mail server returns any other return code than 200-399 an exception will be thrown.